// SynchDemoDlg.h : header file
//

#if !defined(AFX_SYNCHDEMODLG_H__0226FB4E_450E_11D4_9FF6_080009EE62AA__INCLUDED_)
#define AFX_SYNCHDEMODLG_H__0226FB4E_450E_11D4_9FF6_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSynchDemoDlg dialog

class CSynchDemoDlg : public CDialog
{
// Construction
public:
	CSynchDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSynchDemoDlg)
	enum { IDD = IDD_SYNCHDEMO_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSynchDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSynchDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnGoevent();
	afx_msg void OnGomutex();
	afx_msg void OnGocritical();
	afx_msg void OnGosemaphore();
	afx_msg void OnGonotification();
	//}}AFX_MSG
	afx_msg void OnNotification( WPARAM wParam,  LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SYNCHDEMODLG_H__0226FB4E_450E_11D4_9FF6_080009EE62AA__INCLUDED_)
